%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-kafka
%global commit 061ef746e4a0534f652ead2098a03ff09b859461
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-kafka
Version:        2.1.0
Release:        4%{?alphatag}%{?dist}
Summary:        Module for managing apache kafka
License:        Apache 2.0

URL:            https://github.com/puppet-community/puppet-kafka

Source0:        https://github.com/puppet-community/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
#patches_base=061ef746e4a0534f652ead2098a03ff09b859461
#
Patch0001: 0001-modulesync-0.12.8.patch
Patch0002: 0002-Make-the-systemd-manifest-configurable.patch
Patch0003: 0003-modulesync-0.13.0.patch
Patch0004: 0004-Update-based-on-voxpupuli-modulesync_config-0.13.3.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-java
Requires:       puppet >= 2.7.0

%description
Module for managing apache kafka

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/kafka/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/kafka/



%files
%{_datadir}/openstack-puppet/modules/kafka/


%changelog
* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-4
- Update based on voxpupuli/modulesync_config 0.13.3

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-3.0f45e97git
- modulesync 0.13.0

* Tue Oct 18 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-2.061ef74git
- Make the systemd manifest configurable
- modulesync 0.12.8

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> - 2.1.0-1.061ef74.git
- Newton update 2.1.0 (061ef746e4a0534f652ead2098a03ff09b859461)


